package it.integry.plugins.barcode_base_library.model;

public class BarcodeScanDTO {

    private BarcodeType type;
    private String stringValue;
    private byte[] byteValue;
    private String name;
    private int decodingTime;

    public BarcodeType getType() {
        return type;
    }

    public BarcodeScanDTO setType(BarcodeType type) {
        this.type = type;
        return this;
    }

    public String getStringValue() {
        return stringValue;
    }

    public BarcodeScanDTO setStringValue(String stringValue) {
        this.stringValue = stringValue;
        return this;
    }

    public byte[] getByteValue() {
        return byteValue;
    }

    public BarcodeScanDTO setByteValue(byte[] byteValue) {
        this.byteValue = byteValue;
        return this;
    }

    public String getName() {
        return name;
    }

    public BarcodeScanDTO setName(String name) {
        this.name = name;
        return this;
    }

    public int getDecodingTime() {
        return decodingTime;
    }

    public BarcodeScanDTO setDecodingTime(int decodingTime) {
        this.decodingTime = decodingTime;
        return this;
    }
}
